Package com.emc.documentum.rest.dfc

# Interface PreferenceManager

public interface PreferenceManager
The preference manager.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PreferenceObject`
  `createPreference(PreferenceObject obj, AttributeView view)`
  Create a Preference object for current user.
  `void`
  `deletePreference(String clientCode, String userName)`
  Delete the Preference object specified by client id and user name.
  `PreferenceObject`
  `getPreference(String clientCode, String userName, AttributeView view)`
  Get a Preference object by client code and user name.
  `PreferenceObject`
  `updatePreference(String clientCode, String userName, PreferenceObject obj, AttributeView view)`
  Update the Preference object specified by client id and user name.

- ## Method Details

  - ### createPreference

    PreferenceObject createPreference(PreferenceObject obj, AttributeView view) throws com.documentum.fc.common.DfException
    Create a Preference object for current user.
    Parameters:
      `obj` - the preference need to be created
      `view` - the attribute view for the returning preference object
    Returns:
      The preference object with attributes
    Throws:
      `com.documentum.fc.common.DfException` - when any exception is caught during the operation

  - ### getPreference

    PreferenceObject getPreference(String clientCode, String userName, AttributeView view) throws com.documentum.fc.common.DfException
    Get a Preference object by client code and user name.
    Parameters:
      `clientCode` - the client id
      `userName` - the user who own the preference
      `view` - the attribute view for the returning preference object
    Returns:
      The preference object with attributes
    Throws:
      `com.documentum.fc.common.DfException` - when any exception is caught during the operation

  - ### updatePreference

    PreferenceObject updatePreference(String clientCode, String userName, PreferenceObject obj, AttributeView view) throws com.documentum.fc.common.DfException
    Update the Preference object specified by client id and user name.
    Parameters:
      `clientCode` - the client id
      `userName` - the user who own the preference
      `obj` - the preference contains the attributes need to be updated or create
      `view` - the attribute view for the returning preference object
    Returns:
      The preference object with attributes
    Throws:
      `com.documentum.fc.common.DfException` - when any exception is caught during the operation

  - ### deletePreference

    void deletePreference(String clientCode, String userName) throws com.documentum.fc.common.DfException
    Delete the Preference object specified by client id and user name.
    Parameters:
      `clientCode` - the client id
      `userName` - the user who own the preference
    Throws:
      `com.documentum.fc.common.DfException` - when any exception is caught during the operation